org.eclipse.viatra.query.runtime.localsearch.operations

## Class CallOperationHelper.PatternCall

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.operations.CallOperationHelper.PatternCall

- Enclosing class:
    CallOperationHelper

      public class CallOperationHelper.PatternCall
      extends java.lang.Object

  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<Domain,Accumulator,AggregateResult> AggregateResult` | `aggregate(IMultisetAggregationOperator<Domain,Accumulator,AggregateResult> operator, int aggregatedColumn, MatchingFrame initialFrame)`
    `void` | `backtrack(MatchingFrame frame)`
    `int` | `count(MatchingFrame frame)`
    `boolean` | `fillInResult(MatchingFrame frame, Tuple result)`
    `java.util.Collection<? extends Tuple>` | `getAllMatches(MatchingFrame frameInCaller)`
    `java.util.Collection<? extends Tuple>` | `getAllMatches(java.lang.Object[] mappedFrame)`
    `boolean` | `has(MatchingFrame frame)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fillInResult

          public boolean fillInResult(MatchingFrame frame,
                                      Tuple result)

    - #### backtrack

          public void backtrack(MatchingFrame frame)
                         throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### has

          public boolean has(MatchingFrame frame)

    - #### count

          public int count(MatchingFrame frame)

    - #### aggregate

          public <Domain,Accumulator,AggregateResult> AggregateResult aggregate(IMultisetAggregationOperator<Domain,Accumulator,AggregateResult> operator,
                                                                                int aggregatedColumn,
                                                                                MatchingFrame initialFrame)
                                                                         throws LocalSearchException

      Throws:
        `LocalSearchException`

    - #### getAllMatches

          public java.util.Collection<? extends Tuple> getAllMatches(java.lang.Object[] mappedFrame)

    - #### getAllMatches

          public java.util.Collection<? extends Tuple> getAllMatches(MatchingFrame frameInCaller)